uuid: f31768e5-9059-438f-adfe-c44fc971500a
langcode: en
status: true
dependencies:
  config:
    - core.entity_view_mode.geo_entity.embed
    - field.field.geo_entity.address.accessibility
    - field.field.geo_entity.address.external_id
    - field.field.geo_entity.address.localgov_outpost_accessibilities
    - field.field.geo_entity.address.location
    - field.field.geo_entity.address.postal_address
    - geo_entity.geo_entity_type.address
  module:
    - address
    - leaflet
_core:
  default_config_hash: '-BKtfmKDfQdQ5N-E4Em5c--lyyOJ4n-bTQuIv9Hijhg'
id: geo_entity.address.embed
targetEntityType: geo_entity
bundle: address
mode: embed
content:
  localgov_outpost_accessibilities:
    type: string
    label: hidden
    settings:
      link_to_entity: false
    third_party_settings: {  }
    weight: 1
    region: content
  location:
    type: leaflet_formatter_default
    label: hidden
    settings:
      multiple_map: false
      leaflet_map: 'OSM Mapnik'
      height: 400
      height_unit: px
      hide_empty_map: false
      disable_wheel: false
      gesture_handling: false
      fitbounds_options: '{"padding":[0,0]}'
      reset_map:
        control: false
        options: '{"position":"topleft","title":"Reset View"}'
      map_scale:
        control: false
        options: '{"position":"bottomright","maxWidth":100,"metric":true,"imperial":false,"updateWhenIdle":false}'
      locate:
        control: false
        options: '{"position":"topright","setView":"untilPanOrZoom","returnToPrevBounds":true,"keepCurrentZoomLevel":true,"strings":{"title":"Locate my position"}}'
        automatic: false
      leaflet_tooltip:
        value: ''
        options: '{"permanent":false,"direction":"center"}'
      popup: false
      popup_content: ''
      leaflet_popup:
        options: '{"maxWidth":"300","minWidth":"50","autoPan":true}'
        control: '0'
        content: ''
      map_position:
        force: false
        center:
          lat: 0.0
          lon: 0.0
        zoomControlPosition: topleft
        zoom: 12
        minZoom: 1
        maxZoom: 18
        zoomFiner: 0
      weight: null
      icon:
        iconType: marker
        iconUrl: themes/custom/greenwich_base/patterns/images/map-pin.svg
        shadowUrl: ''
        className: ''
        iconSize:
          x: ''
          'y': ''
        iconAnchor:
          x: ''
          'y': ''
        shadowSize:
          x: ''
          'y': ''
        shadowAnchor:
          x: ''
          'y': ''
        popupAnchor:
          x: ''
          'y': ''
        html: '<div></div>'
        html_class: leaflet-map-divicon
        circle_marker_options: '{"radius":100,"color":"red","fillColor":"#f03","fillOpacity":0.5}'
      leaflet_markercluster:
        control: false
        options: '{"spiderfyOnMaxZoom":true,"showCoverageOnHover":true,"removeOutsideVisibleBounds": false}'
        excluded: ''
        include_path: false
      fullscreen:
        control: false
        options: '{"position":"topleft","pseudoFullscreen":false}'
      path: '{"color":"#3388ff","opacity":"1.0","stroke":true,"weight":3,"fill":"depends","fillColor":"*","fillOpacity":"0.2"}'
      feature_properties:
        values: ''
      geocoder:
        control: false
        settings:
          popup: false
          autocomplete:
            placeholder: 'Search Address'
            title: 'Search an Address on the Map'
          position: topright
          input_size: 25
          providers:
            localgov_default_osm:
              weight: 0
              checked: false
            geo_entity_osm:
              weight: 0
              checked: false
            geo_entity_demo_photon:
              weight: 0
              checked: false
          min_terms: 4
          delay: 800
          zoom: 16
          options: ''
      map_lazy_load:
        lazy_load: true
    third_party_settings: {  }
    weight: 2
    region: content
  postal_address:
    type: address_default
    label: hidden
    settings: {  }
    third_party_settings: {  }
    weight: 0
    region: content
hidden:
  accessibility: true
  created: true
  external_id: true
  langcode: true
  search_api_excerpt: true
  status: true
  uid: true
